FTPixmapFont Class Reference

FTPixmapFont is a specialisation of the FTFont class for handling Pixmap (Grey Scale) fonts. More...

`#include <FTGLPixmapFont.h>`

Inheritance diagram for FTPixmapFont:

## Public Member Functions

| FTPixmapFont (const char *fontFilePath)
| Open and read a font file.
| FTPixmapFont (const unsigned char *pBufferBytes, size_t bufferSizeInBytes)
| Open and read a font from a buffer in memory.
| ~FTPixmapFont ()
| Destructor.
Public Member Functions inherited from FTFont
virtual | ~FTFont ()
virtual bool | Attach (const char *fontFilePath)
| Attach auxilliary file to font e.g font metrics.
virtual bool | Attach (const unsigned char *pBufferBytes, size_t bufferSizeInBytes)
| Attach auxilliary data to font e.g font metrics, from memory.
virtual void | GlyphLoadFlags (FT_Int flags)
| Set the glyph loading flags.
virtual bool | CharMap (FT_Encoding encoding)
| Set the character map for the face.
virtual unsigned int | CharMapCount () const
| Get the number of character maps in this face.
virtual FT_Encoding * | CharMapList ()
| Get a list of character maps in this face.
virtual bool | FaceSize (const unsigned int size, const unsigned int res=72)
| Set the char size for the current face.
virtual unsigned int | FaceSize () const
| Get the current face size in points (1/72 inch).
virtual void | Depth (float depth)
| Set the extrusion distance for the font.
virtual void | Outset (float outset)
| Set the outset distance for the font.
virtual void | Outset (float front, float back)
| Set the front and back outset distances for the font.
virtual void | UseDisplayList (bool useList)
| Enable or disable the use of Display Lists inside FTGL.
virtual float | Ascender () const
| Get the global ascender height for the face.
virtual float | Descender () const
| Gets the global descender height for the face.
virtual float | LineHeight () const
| Gets the line spacing for the font.
virtual FTBBox | BBox (const char *string, const int len=-1, FTPoint position=FTPoint(), FTPoint spacing=FTPoint())
| Get the bounding box for a string.
void | BBox (const char *string, float &llx, float &lly, float &llz, float &urx, float &ury, float &urz)
| Get the bounding box for a string (deprecated).
virtual FTBBox | BBox (const wchar_t *string, const int len=-1, FTPoint position=FTPoint(), FTPoint spacing=FTPoint())
| Get the bounding box for a string.
void | BBox (const wchar_t *string, float &llx, float &lly, float &llz, float &urx, float &ury, float &urz)
| Get the bounding box for a string (deprecated).
virtual float | Advance (const char *string, const int len=-1, FTPoint spacing=FTPoint())
| Get the advance for a string.
virtual float | Advance (const wchar_t *string, const int len=-1, FTPoint spacing=FTPoint())
| Get the advance for a string.
virtual FTPoint | Render (const char *string, const int len=-1, FTPoint position=FTPoint(), FTPoint spacing=FTPoint(), int renderMode=FTGL::RENDER_ALL)
| Render a string of characters.
virtual FTPoint | Render (const wchar_t *string, const int len=-1, FTPoint position=FTPoint(), FTPoint spacing=FTPoint(), int renderMode=FTGL::RENDER_ALL)
| Render a string of characters.
virtual FT_Error | Error () const
| Queries the Font for errors.

## Protected Member Functions

virtual FTGlyph * | MakeGlyph (FT_GlyphSlot slot)
| Construct a glyph of the correct type.
Protected Member Functions inherited from FTFont
| FTFont (char const *fontFilePath)
| Open and read a font file.
| FTFont (const unsigned char *pBufferBytes, size_t bufferSizeInBytes)
| Open and read a font from a buffer in memory.

## Detailed Description

FTPixmapFont is a specialisation of the FTFont class for handling Pixmap (Grey Scale) fonts.

See also
  FTFont

Definition at line 45 of file FTGLPixmapFont.h.

## Constructor & Destructor Documentation

## FTPixmapFont() [1/2]

FTPixmapFont::FTPixmapFont | ( | const char * | fontFilePath | ) |

Open and read a font file.

Sets Error flag.

Parameters

  fontFilePath | font file path.

## FTPixmapFont() [2/2]

FTPixmapFont::FTPixmapFont | ( | const unsigned char * | pBufferBytes,
|  | size_t | bufferSizeInBytes
| ) |  |

Open and read a font from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters

  pBufferBytes | the in-memory buffer
  bufferSizeInBytes | the length of the buffer in bytes

## ~FTPixmapFont()

FTPixmapFont::~FTPixmapFont | ( |  | ) |

Destructor.

## Member Function Documentation

## MakeGlyph()

virtual FTGlyph * FTPixmapFont::MakeGlyph | ( | FT_GlyphSlot | slot | ) |

protected virtual

Construct a glyph of the correct type.

Clients must override the function and return their specialised FTGlyph.

Parameters

  slot | A FreeType glyph slot.

Returns
  An FT****Glyph or `null` on failure.

Implements FTFont.

The documentation for this class was generated from the following file:

- FTGLPixmapFont.h